org.apache.lucene.util

## Class OfflineSorter.ByteSequencesWriter

- java.lang.Object
- - org.apache.lucene.util.OfflineSorter.ByteSequencesWriter

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    OfflineSorter

      public static class OfflineSorter.ByteSequencesWriter
      extends Object
      implements Closeable

  Utility class to emit length-prefixed byte[] entries to an output stream for sorting. Complementary to `OfflineSorter.ByteSequencesReader`. You must use `CodecUtil.writeFooter(org.apache.lucene.store.IndexOutput)` to write a footer at the end of the input file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IndexOutput` | `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteSequencesWriter(IndexOutput out)` Constructs a ByteSequencesWriter to the provided DataOutput

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the provided `IndexOutput`.
    `void` | `write(byte[] bytes)` Writes a byte array.
    `void` | `write(byte[] bytes, int off, int len)` Writes a byte array.
    `void` | `write(BytesRef ref)` Writes a BytesRef.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### out

          protected final IndexOutput out

  - ### Constructor Detail

    - #### ByteSequencesWriter

          public ByteSequencesWriter(IndexOutput out)

      Constructs a ByteSequencesWriter to the provided DataOutput

  - ### Method Detail

    - #### write

          public final void write(BytesRef ref)
                           throws IOException

      Writes a BytesRef.
      Throws:
        `IOException`
      See Also:
        `write(byte[], int, int)`

    - #### write

          public final void write(byte[] bytes)
                           throws IOException

      Writes a byte array.
      Throws:
        `IOException`
      See Also:
        `write(byte[], int, int)`

    - #### write

          public void write(byte[] bytes,
                            int off,
                            int len)
                     throws IOException

      Writes a byte array.

      The length is written as a `short`, followed by the bytes.

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Closes the provided `IndexOutput`.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.